#! /bin/sh
DIST=/dist
TIME=zzz/time.txt
FIND=zzz/find-ls.gz
cd $DIST
echo `/bin/date '+%s'` `/bin/hostname` > $TIME.tmp
mv -f $TIME.tmp $TIME
find . \( -name .svn -prune \) -o -ls | gzip -c > $FIND.tmp
mv -f $FIND.tmp $FIND

# generate listing with standardised timestamps, sorted by file name
FIND2=zzz/find-ls2.txt.gz
find . \( -name .svn -prune \) -o \
    -printf "%M %7n %g %u %13s %TY-%Tm-%Td %TH:%TM %TZ %p" \
     \( -type l -printf " -> %l\n" \) -o -printf "\n" \
    | LC_ALL=C sort -k 9 | gzip -c > $FIND2.tmp
mv -f $FIND2.tmp $FIND2

